NAND_WRITE_ECC(9)

NAME
nand_write_ecc - [MTD Interface] NAND write with ECC

SYNOPSIS

int nand_write_ecc (struct mtd_info * mtd, loff_t to, size_t len, size_t * retlen, const u_char * buf, u_char * eccbuf, struct nand_oobinfo * oobsel);

ARGUMENTS

mtd MTD device structure

to  offset to write to

len number of bytes to write

retlen
    pointer to variable to store the number of written bytes

buf the data to write

eccbuf
    filesystem supplied oob data buffer

oobsel
    oob selection structure

DESCRIPTION

NAND write with ECC

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.